| Home | Libraries | People | FAQ | More

## Class greg_day

boost::gregorian::greg_day — Represent a day of the month (range 1 - 31)

## Synopsis

    // In header: <boost/date_time/gregorian/greg_day.hpp>

    class greg_day : public greg_day_rep {
    public:
      // construct/copy/destruct
      greg_day(value_type);

      // public member functions
      value_type as_number() const;
      operator value_type() const;
    };

## Description

This small class allows for simple conversion an integer value into a day of the month for a standard gregorian calendar. The type is automatically range checked so values outside of the range 1-31 will cause a bad_day_of_month exception

### `greg_day` public construct/copy/destruct

1.     greg_day(value_type day_of_month);

### `greg_day` public member functions

1.     value_type as_number() const;

2.     operator value_type() const;